import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const postKillhouseGuildPermissionService = createAsyncThunk(
  "POST_KILLHOUSE_GUILD_PERMISSION_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.post(
      "allow_register_guilds_total/",
      d
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
